Don't get build 2409 in unstable branch - repo error?!?

Added by Marco Jakobs 3 months ago

Hi,

I have issues with 2405, on all clients the playback of recorded stuff periodically just freezes. I'd like to give 2409 a try, but apt-get update/upgrade still stays at 2405, although I'm using the unstable branch:

deb https://dl.bintray.com/tvheadend/deb trusty unstable

Any idea what's wrong here?


Replies (17)

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Mark Clarkstone 3 months ago

The build scripts have stalled (again). it's a known problem, something changes & it buggers up. The guy who manages it is really busy and hasn't got around to correcting the fault yet. If you can't wait, use Michael Marley's ppa here

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 3 months ago

Thanks for the reply, Mark! Unfortunately the ppa has no builds for Ubuntu trusty which I'm running on my media server VM.

The 2405 breaks playing recorded content on all clients, 2403 runs fine but it does not get the EPG on the THV IPhone client which I'm using for programming shows. So it seems I need to go back one by one to find one which works. I'd prefer to go forward instead ...

The ppa you're pointing to is at 2425 ... so really forward. Is there any source to install it to Trusty?

And only one guy to look after the official source of the project? I really understand being very busy ... but we seem to be 20 build after master in the official repo right now.

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Mark Clarkstone 3 months ago

Marco Jakobs wrote:

Thanks for the reply, Mark! Unfortunately the ppa has no builds for Ubuntu trusty which I'm running on my media server VM.

The 2405 breaks playing recorded content on all clients, 2403 runs fine but it does not get the EPG on the THV IPhone client which I'm using for programming shows. So it seems I need to go back one by one to find one which works. I'd prefer to go forward instead ...

The ppa you're pointing to is at 2425 ... so really forward. Is there any source to install it to Trusty?

And only one guy to look after the official source of the project? I really understand being very busy ... but we seem to be 20 build after master in the official repo right now.

The build scripts just build & upload the packages to the bintray service. It is possible for others to upload packages but no one has yet. Unfortunately no one else has access to the build machine to fix these scripts.

I'm looking into a possible solution.

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 3 months ago

I'm looking into a possible solution.

That would be awesome, Mark!

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 3 months ago

I just want to follow up ... it seems the build script is still broken. Is there any idea when we'll get up-to-date builds again in the master repo?

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Mark Clarkstone 3 months ago

Marco Jakobs wrote:

I just want to follow up ... it seems the build script is still broken. Is there any idea when we'll get up-to-date builds again in the master repo?

I'm hoping and if everyone agrees that the repo can be switched to doozer.io - when it comes out of beta and adds repo support. To avoid these breakages in the future.

If you want to give Adam (who only has access) a nudge about the build system being broken, you can find his details here

Or you can use the debs provided by doozer (from my git branch - which is just the regular master with doozer fixes) here

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 2 months ago

Thanks, Mark! I'll give the doozer stuff a try! :-)

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 2 months ago

Hi Mark,

I've tried to install several of your builds (amd64/trusty), but no one is working.

It installs OK with dpkg -i ..., it says tvheadend is started - but the process is not in the list. Any attempts to stop and restart the service lead to the same issue.

After installing your build, it says:

tvheadend start/running

Reinstalling build 2402 from the official repo gives me this:

Setting up tvheadend (4.1-2402~g35d0236~trusty) ...
tvheadend start/running, process 2611

So with the build from the official repo I'm getting a process ID and tvheadend is indeed running.

Do you have any idea what's wrong here?

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Mark Clarkstone 2 months ago

Marco Jakobs wrote:

Hi Mark,

I've tried to install several of your builds (amd64/trusty), but no one is working.

It installs OK with dpkg -i ..., it says tvheadend is started - but the process is not in the list. Any attempts to stop and restart the service lead to the same issue.

After installing your build, it says:

tvheadend start/running

Reinstalling build 2402 from the official repo gives me this:

Setting up tvheadend (4.1-2402~g35d0236~trusty) ...
tvheadend start/running, process 2611

So with the build from the official repo I'm getting a process ID and tvheadend is indeed running.

Do you have any idea what's wrong here?

The packages from doozer require dvb-apps to be installed. I've opened a PR to correct this.

So, install dvb-apps & try again :)

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 2 months ago

Awesome, Mark - thank you very much :-)

It's running now! What are the differences between these packages and the repo ones, is there any text file which explains this?

VBR,
Marco

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 2 months ago

I ran into another issue with this build - that did cost me a show tonight. PVR is not working, all recordings are failing with "not enough disk space". OK, there are "just" 2.4GB free on my server (which is also displayed by Kodi in the "Records" section of the TV plugin).

Playback of always recorded stuff works ... it just fails for any new recordings!

I've tried several of the Doozer versions across from 2431 through 2482 - all the same. Went back to 2402 from the original repo - immediately working again.

Seems I and the Doozer builds are still not best friends ... something else missing compared to the standard repos? Absolutely strange that it won't record to my mounted server drive.

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Mark Clarkstone 2 months ago

Marco Jakobs wrote:

I ran into another issue with this build - that did cost me a show tonight. PVR is not working, all recordings are failing with "not enough disk space". OK, there are "just" 2.4GB free on my server (which is also displayed by Kodi in the "Records" section of the TV plugin).

Playback of always recorded stuff works ... it just fails for any new recordings!

I've tried several of the Doozer versions across from 2431 through 2482 - all the same. Went back to 2402 from the original repo - immediately working again.

Seems I and the Doozer builds are still not best friends ... something else missing compared to the standard repos? Absolutely strange that it won't record to my mounted server drive.

I don't think your issue(s) have anything to do with the builds themselves. My doozer branch is basically just master with small modifications to the doozer JSON. You can see the full changes here.

For trusty this is the only change between master and my doozer branch

Master:

./configure --disable-dvbscan --enable-ffmpeg_static --enable-hdhomerun_static" 
make -j ${PARALLEL}

Doozer:

AUTOBUILD_CONFIGURE_EXTRA=--disable-bintray_cache\\ --enable-ccache\\ --enable-ffmpeg_static\\ --enable-hdhomerun_static ./Autobuild.sh -t ${TARGET} -j ${PARALLEL} -w ${WORKDIR}

If you can, please give the build another go (install the dbg package too) and provide a debug log for the DVR issue (See Traces and Debugging on how to do that).

"subscription,dvr" should be enough.

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 2 months ago

Hi Mark,

I'm in doubt that "subscription,dvr" gives enough information, that's the output:

2017-03-17 09:01:37.288 [ INFO]:http: xx.xx.xx.xx: HTTP/1.1 GET /config -- 1
2017-03-17 09:01:37.288 [ INFO]:http: xx.xx.xx.xx: HTTP/1.1 POST /confignames -- 1
2017-03-17 09:01:37.288 [ INFO]:http: xx.xx.xx.xx: HTTP/1.1 GET /capabilities -- 1
2017-03-17 09:01:44.563 [ INFO]:dvr: entry 2017cc9b1ce15a75acc967c532ee4eb8 "Tagesschau" on "Das Erste HD" starting at 2017-03-17 08:56:30, scheduled for recording by "max"
2017-03-17 09:01:44.563 [ INFO]:dvr: "Tagesschau" on "Das Erste HD" recorder starting
2017-03-17 09:01:44.565 [ INFO]:mpegts: 11493.75H in Astra - tuning on SAT>IP DVB-S Tuner #2 (10.32.6.2)
2017-03-17 09:01:44.565 [ INFO]:subscription: 0029: "DVR: Tagesschau" subscribing on channel "Das Erste HD", weight: 300, adapter: "SAT>IP DVB-S Tuner #2 (10.32.6.2)", network: "Astra", mux: "11493.75H", provider: "ARD", service: "Das Erste HD", profile="pass"
2017-03-17 09:01:44.779 [ ERROR]:dvr: Recording error: "Tagesschau": Not enough free disk space
2017-03-17 09:01:44.779 [ INFO]:subscription: 0029: "DVR: Tagesschau" unsubscribing from "Das Erste HD"
2017-03-17 09:01:44.779 [ INFO]:dvr: "Tagesschau" on "Das Erste HD": End of program: Not enough disk space

It tells the same as the GUI ... but that's bullshit. The mounted drive from my NAS server for recordings has 2.4GB free (which 2402 from the original repo handles correctly).

Some more debug categories which will help?

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Josu Lazkano 2 months ago

Hello,

The source of the problem is the build script. It will be great to fix it.

I am not developer, but I could help to fix the script.

Is it available to download?

Regards.

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Marco Jakobs 2 months ago

OK, I've found the bug!

I'm limiting the available space for the DVR in the profile to 2TB (see picture below), that seems to got broken somewhere between build 2402 and 2431.

Setting that to 0 (disable) and the DVR is working again.

Shall I file an issue in GIT for that?

TVH_DVRbug.jpg (44.3 KB)

RE: Don't get build 2409 in unstable branch - repo error?!? - Added by Mark Clarkstone 2 months ago

Marco Jakobs wrote:

OK, I've found the bug!

I'm limiting the available space for the DVR in the profile to 2TB (see picture below), that seems to got broken somewhere between build 2402 and 2431.

Setting that to 0 (disable) and the DVR is working again.

Shall I file an issue in GIT for that?

Yes, open an issue on here. If you could compare the difference between the configs that would really help in pin pointing it.

(1-17/17)